#pragma once
extern "C" {
#include <setupapi.h>
#include <hidsdi.h>
}

class HidDevice
{
public:
  HidDevice();
  ~HidDevice();

  bool Open(uint16_t vendorId, uint16_t productId);
  void Close();
  bool IsOpen() const {
    return mHandle != INVALID_HANDLE_VALUE;
  }

  bool GetFeature(void* buf, int len);
  bool SetFeature(void *buf, int len);

protected:
  HANDLE mHandle;
};

