#ifndef B_I2C_H_
#define B_I2C_H_
#include <stdint.h>
#include <stdbool.h>

void InitializeI2C(void);
bool I2CRegWriteByte(uint8_t devAddr, uint8_t regAddr, uint8_t data);
bool I2CRegReadMulti(uint8_t devAddr, uint8_t regAddr, uint8_t *buf, uint8_t size);
uint8_t I2CRegReadByte(uint8_t devAddr, uint8_t regAddr);

#endif

