#include "chip.h"

// 1カウント 1ms (1KHz) とする。
const uint16_t TICK_TIMER_FREQ = 1 * 1000;

void InitTickTimer(void)
{
  uint32_t timerFreq;
  
  timerFreq = Chip_Clock_GetSystemClockRate();

  Chip_TIMER_Init(LPC_TIMER16_0);
  Chip_TIMER_PrescaleSet(LPC_TIMER16_0, (timerFreq / TICK_TIMER_FREQ) -1);
  Chip_TIMER_Enable(LPC_TIMER16_0);
}

