#ifndef B_RTC_H_
#define B_RTC_H_
#include <stdbool.h>
#include <stdint.h>
#include <time.h>

#define RTC_INVALID_ALARM_TIME 0xFFFFFFFF

void RTCInitialize(bool *alarmed);
void RTCSetTimeByEpoch(uint32_t epochTime);
void RTCSetTimeByTM(struct tm *tmStruct);
void RTCSetAlarmByEpoch(uint32_t epochTime);
void RTCSetAlarmByTM(struct tm *tmStruct);


#endif

