#ifndef B_TICK_TIMER_H_
#define B_TICK_TIMER_H_

static inline void TickTimerDelayMs(uint16_t milliseconds)
{
  uint16_t startTick = Chip_TIMER_ReadCount(LPC_TIMER16_0);
  while (1) {
    uint16_t newTick, diffTick;
    newTick = Chip_TIMER_ReadCount(LPC_TIMER16_0);
    diffTick = newTick - startTick;
    if (diffTick > milliseconds) {
      break;
    }
  }
}

void InitTickTimer(void);

#endif

